<?php
/**
 * System Controller
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class System_Controller extends Me_Controller
{
    /**
     * Controller名
     */
    protected $controller = 'System';
    /**
     * Logicオブジェクト自動生成
     * @var boolean
     */
    protected $logic_load = false;

    /**
     * システムインデックス
     */
    public function index()
    {

    }

    /**
     * 設定ファイル編集
     */
    public function edit_config()
    {
        User_Role::require_admin();
        // ファイルの内容を取得
        $ini_file = Me_Config::get_user_ini_file();
        $this->set_data(compact('ini_file'));
    }

    /**
     * 設定ファイル登録処理
     */
    public function post_config()
    {
        User_Role::require_admin();
        $ini_file = Me_Util::get_post_data('ini_file');
        if ($ini_file === null) {
            throw new Me_Exception(402);
        }
        Me_Config::write_user_ini_file($ini_file);
        Me_Logger::log(1300);
        
        $this->redirect_path = '../System/index';
        $this->flash = 'ユーザー設定ファイル（ data' . Me_Config::USER_CONFIG_FILE . ' ）を編集しました。';
    }

    /**
     * Credits表記
     */
    public function credits()
    {
        User_Role::require_designer();
    }
}