<?php
/**
 * Upgrade Controller
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Upgrade_Controller extends Me_Controller
{
    /**
     * Controller名
     */
    protected $controller = 'Upgrade';
    /**
     * Logicオブジェクト
     * @var Upgrade_Logic
     */
    protected $logic;

    /**
     * actionの前処理
     */
    public function prepend()
    {
        // セッションを開始
        session_start();

        // CSRF対策
        if ($this->check_token) {
            Me_Util::check_token();
        }
    }

    /**
     * アップグレード画面
     */
    public function index()
    {
        // スキーマ情報取得
        $meinfo_dao = new Meinfo_Dao();
        $meinfo = $meinfo_dao->select(1, 'Meinfo');

        $this->set_data(compact('meinfo'));
    }

    /**
     * アップグレード処理実行
     */
    public function upgrading()
    {
        // スキーマ情報取得
        $meinfo_dao = new Meinfo_Dao();
        $meinfo = $meinfo_dao->select(1, 'Meinfo');

        $this->logic->execute_upgrade($meinfo->schema_version, ME_SCHEMA_VERSION);
    }
}